// file: $isip/class/search/SymbolGraphNode/sgrpn_03.cc
// version: $Id: sgrpn_03.cc 9310 2003-09-26 20:20:18Z alphonso $
//

// isip include files
//
#include "SymbolGraphNode.h"
#include <Sof.h>

// method: read
//
// arguments:
//  Sof& sof: (input) sof file object
//  long tag: (input) sof object instance tag
//  const String& name: (input) sof object instance name
//
// return: a boolean indicating status
//
// this method has the object read itself from an Sof file
//
boolean SymbolGraphNode::read(Sof& sof_a, long tag_a, const String& name_a) {

  // get the instance of the object from the Sof file
  //
  if (!sof_a.find(name_a, tag_a)) {
    return false;
  }

  // read the actual data from the sof file
  //
  if (!readData(sof_a)) {
    return false;
  }

  // exit gracefully
  //
  return true;
}

// method: readData
//
// arguments:
//  Sof& sof: (input) sof file object
//  const String& pname: (input) parameter name
//  long size: (input) number of bytes in file
//  boolean param: (input) is the parameter specified?
//  boolean nested: (input) is this nested?
//
// return: logical error status
//
// this method has the object read itself from an Sof file. it assumes
// that the Sof file is already positioned correctly.
//
boolean SymbolGraphNode::readData(Sof& sof_a, const String& pname_a,
				  long size_a,
				  boolean param_a, boolean nested_a) {

  // exit gracefully
  //
  return true;
}
